### Function

# Gimp value_take_object_array

#### Declaration [src]

    void
    gimp_value_take_object_array (
      GValue* value,
      GType object_type,
      GObject** data,
      gsize length
    )

#### Description [src]

Sets the contents of `value` to `data`, and takes ownership of `data`.

#### Parameters

`value`

  Type: `GValue`

  A valid value of type `GIMP_TYPE_OBJECT_ARRAY`.

  The data is owned by the caller of the function.

`object_type`

  Type: `GType`

  The `GType` of the object elements.

`data`

  Type: An array of `GObject*`

  A `GObject` array.

  The length of the array is specified in the `length` argument.
  The called function takes ownership of the data, and is responsible for freeing it.

`length`

  Type: `gsize`

  The number of elements in `data`.